---
updatedAt: 2025-09-18T11:14:32.000Z
agentTools:
  projectIndex: https://developer.i-payout.com/llms.txt
---

# Response Fields

All i-payout API endpoints will generate a response with the following fields:

| Data Field    | Type    | Description                                                                            |
| :------------ | :------ | :------------------------------------------------------------------------------------- |
| isSuccess     | boolean | Indicates if the API call was successful or not.                                       |
| message       | string  | A human-readable status message that may be used for debugging.                        |
| statusCode    | int32   | API response status code.                                                              |
| logIdentifier | string  | The identifier of a log for when requesting technical support.                         |
| data          | object  | An API-specific data object includes information pertinent to the particular API call. |

Below is an example of the `GET - Get Customer` endpoint response:

```json
{
  "isSuccess": true,
  "message": "string",
  "statusCode": 0,
  "logIdentifier": "string",
  "data": {
    "username": "string",
    "emailAddress": "string",
    "firstName": "string",
    "lastName": "string",
    "companyName": "string",
    "phoneNumber": "string",
    "cellPhoneNumber": "string",
    "address": "string",
    "address2": "string",
    "state": "string",
    "city": "string",
    "zipcode": "string",
    "country2xFormat": "string",
    "dateOfBirth": "2024-03-22T08:38:36.919Z",
    "isBusiness": true,
    "customerGuid": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "isVerified": true,
    "eWalletId": "string",
    "isSuspended": true,
    "isInfoVerified": true,
    "isClosed": true,
    "createdDate": "2024-03-22T08:38:36.919Z",
    "isAgreedToFees": true,
    "preferredLanguage": "string",
    "svcShippingAddress": "string"
  }
}
```

> 📘 Note:
>
> Each API returns a data object with information specific to that API.